#
# spec file for package plasma-wayland-protocols
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without lang
Name:           plasma-wayland-protocols
Version:        1.6.0
Release:        bp154.1.44
Summary:        Wayland protocols used by Plasma
License:        BSD-3-Clause AND LGPL-2.1-only AND LGPL-2.1-or-later AND MIT
Group:          System/GUI/KDE
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
%if %{with lang}
Source1:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz.sig
# Note: The key in there is currently only self-signed and so not actually trusted.
Source2:        plasma-wayland-protocols.keyring
%endif
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem

%description
This package contains the non-standard Wayland protocol definitions used by
KDE Plasma.

%prep
%autosetup -p1

%build
  %cmake_kf5 -d build
  %cmake_build

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%files
%license COPYING* LICENSES/*.txt
%{_kf5_sharedir}/plasma-wayland-protocols/
%{_kf5_cmakedir}/PlasmaWaylandProtocols/

%changelog
* Thu Jan 13 2022 Antonio Larrosa <alarrosa@suse.com>
- Update to 1.6.0:
  * Add Linux Qt6 CI
  * Use non-deprecated install location variable for CMake config
    files
  * Add support for Primary Outputs
* Sat Nov  6 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 1.5.0:
  * screencast: Extend the protocol to allow streaming virtual outputs
* Sun Sep  5 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 1.4.0:
  * Add set_frost to contrast protocol
  * outputdevice, outputmanagement: add rgb range setting
  * Add kde_kwin_output_device_mode_v2 to handle output modes
  * org_kde_plasma_window_management: Allow sending windows to an output
  * Decouple activation feedback from window management
  * plasma-window-management: allow to report which apps are starting
* Sun May  2 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 1.3.0:
  * Bump to Plasma Wayland Protocols 1.3.0
  * Add VRR to output device and management
  * Add overscan to output protocols
* Mon Apr  5 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 1.2.1
- Changes since 1.1.1:
  * Bump version to 1.2.1
  * Bump version to 1.2.0
  * Add the activity management protocol parts
  * Add a TODOKF6 for which protocols should be deprecated by that time
  * fix DTD issue
- Add Vlad's key to plasma-wayland-protocols.keyring
* Sun Aug  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.1.1. No changelog
* Thu May 14 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to public 1.0 release
* Fri May  1 2020 Luca Beltrame <lbeltrame@kde.org>
- Initial package
